Bug 278711 - liveinst hangs while starting, trying to write to /dev/ttyUSB2
liveinst hangs while starting, trying to write to /dev/ttyUSB2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhpxl (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 12:04 EDT by Zack Cerza
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-06 17:01:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
untested patch! (471 bytes, patch)
2007-09-06 14:49 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Zack Cerza 2007-09-05 12:04:12 EDT
Description of problem:
This is rawhide-20070904.0.iso booted via USB stick on a Thinkpad Z61t.

bash-3.2$ liveinst 
FATAL: Module md not found.
Probing for video card:   Intel Corporation Mobile 945GM/GMS, 943/940GML Express
Integrated Graphics Controller

fedora    6837  1.2  0.0   1948   664 pts/1    S+   11:46   0:00 strace liveinst
fedora    6838  0.4  0.3  26244  5536 pts/1    Sl+  11:46   0:00 liveinst
root      6839  0.0  0.0   5800  1316 pts/1    S+   11:46   0:00
/usr/sbin/userhelper -w liveinst
root      6843  0.0  0.0   4632  1152 pts/1    S+   11:46   0:00 /bin/sh
/usr/sbin/liveinst
root      6869  0.0  0.0   3348   928 pts/1    S+   11:46   0:00
/usr/bin/hal-lock --interface org.freedesktop.Hal.Device.Storage --exclusive
--run /usr/sbin/anaconda --method=livecd:///dev/live-osimg --lang en_US.UTF-8
root      6870  7.8  0.9  28916 14884 pts/1    S+   11:46   0:00 /usr/bin/python
/usr/sbin/anaconda --method=livecd:///dev/live-osimg --lang en_US.UTF-8
root      6871  0.0  0.6  27232  9356 pts/1    S+   11:46   0:00 /usr/bin/python
/usr/sbin/anaconda --method=livecd:///dev/live-osimg --lang en_US.UTF-8

[root@localhost ~]# strace -p 6870
Process 6870 attached - interrupt to quit
write(6, "AT\r", 3


Version-Release number of selected component (if applicable):
anaconda-11.3.0.26-1

How reproducible:
Always
Comment 1 Bill Nottingham 2007-09-06 14:24:28 EDT
Neat. What is your /dev/ttyUSB2?
Comment 2 Zack Cerza 2007-09-06 14:34:27 EDT
It's "Sierra Wireless MC5720 Modem" - an EVDO adapter. kudzu -p -b serial hangs,
too.
Comment 3 Bill Nottingham 2007-09-06 14:49:01 EDT
Created attachment 189111 [details]
untested patch!

This should theoretically fix it - it tells the rhpxl mouse probe to not probe
the serial bus.
Comment 4 Zack Cerza 2007-09-06 15:42:51 EDT
I applied this on my running system, and Anaconda now starts properly. Thanks!
Comment 5 Adam Jackson 2007-09-06 17:01:17 EDT
Looks fine to me.  Applied to rhpxl 0.49, which is headed to rawhide as we
speak.  Serial mouse users are doomed anyway.
Comment 6 Zack Cerza 2007-09-13 14:09:24 EDT
In case it's not known, this didn't get into F8 Test 2.

Note You need to log in before you can comment on or make changes to this bug.